# SynapticIndexing class

(Shortest import: `from brian2.synapses.synapses import SynapticIndexing)`

class brian2.synapses.synapses.SynapticIndexing(synapses)

  Bases: `object`

  Methods

  `__call__`([index, index_var]) | Returns synaptic indices for `index`, which can be a tuple of indices (including arrays and slices), a single index or a string.

  Details

  __call__(index=None, index_var='_idx')

    Returns synaptic indices for `index`, which can be a tuple of indices (including arrays and slices), a single index or a string.